<?php
/**
 * License Controller
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class License_Controller extends Me_Controller
{
    /**
     * Controller名
     */
    protected $controller = 'License';

    /**
     * ライセンス管理
     */
    public function index()
    {
        User_Role::require_admin();
        $license = $this->logic->select('1', 'License');
        $message = License_Util::get_message();
        $this->set_data(compact('license', 'message'));
    }

    /**
     * ライセンス登録
     */
    public function edit()
    {
        User_Role::require_admin();
        $form = $this->logic->select('1', 'License_Form');
        $this->set_data(compact('form'));
    }

    /**
     * ライセンス登録処理
     */
    public function post()
    {
        User_Role::require_admin();
        $form = new License_Form();
        $mapping = array(
            '_id' => '_id',
            'license_id' => 'license_id',
            'license_key' => 'license_key',
        );
        Me_Util::post_data_to_object($form, $mapping);

        if ($this->logic->register_license($form)) {
            // 登録成功
            $this->redirect_path = '../License/index';
            $this->flash = 'ライセンス（ ' . $form->license_id . ' ）を登録しました。';
            // ログ書き出し
            Me_Logger::log(1320);
        } else {
            // 登録失敗
            $this->view = '/License/edit.php';
            $this->set_data(compact('form'));
        }
    }
}