<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>コード編集 - MicroEngine</title>
<script src="../../app/assets/js/me.file.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.resize.resizeBox('file_contents');
    $(window).bind('resize', function(){
        me.resize.resizeBox('file_contents');
    });
    me.form.init();
    if ($('#error_message').text().length > 0) {
        me.file.openSetting();
    }
});
//-->
</script>
</head>
<body>
<?php h::error($form->errors["MESSAGE"]) ?>
<div class="navbar">
<div class="navbar-inner header">
<span class="brand">コード編集</span>
<ul class="nav">
<li>
<button id="open_file_setting" type="button" class="btn btn-small" onclick="me.file.openSetting();"><i class="icon-chevron-down"></i> 設定を開く</button>
<button id="close_file_setting" type="button" class="btn btn-small hide" onclick="me.file.closeSetting();"><i class="icon-chevron-up"></i> 設定を閉じる</button>
</li>
</ul>
<ul class="nav pull-right">
<li><a href="<?php h::p(MANUAL_BASE_URL) ?>file_edit.html" target="_blank"><i class="icon-question-sign"></i> ヘルプ</a></li>
</ul>
</div>
</div>

<form method="POST" name="file_form" id="file_form" class="form-horizontal" action="../File/post" onsubmit="me.form.noUnload();">

<table class="table setting_table">
<tr>
<th>ファイルパス</th>
<td>
<?php h::p($form->page_path) ?>
</td>
</tr>
<tr class="file_setting hide">
<th>文字コード <span class="label label-important">※必須</span></th>
<td>
<input type="text" id="char_code" name="char_code" maxlength="50" value="<?php h::p( $form->char_code) ?>"><br>
<?php h::error( $form->errors["char_code"]) ?>
</td>
</tr>
<tr class="file_setting hide">
<th>備考</th>
<td>
<input type="text" id="note" name="note" class="input-xxlarge" maxlength="50" value="<?php h::p( $form->note) ?>">
<?php h::error( $form->errors["note"]) ?>
</td>
</tr>
<tr class="file_setting hide">
<th>操作</th>
<td>
<input type="button" class="btn btn-small btn-danger" value="ファイル削除" onclick="me.file.deleteFile();return false;">
</td>
</tr>
</table>

<div>
<textarea id="file_contents" name="file_contents" class="file_contents" cols="50" rows="10"><?php h::p($form->file_contents) ?></textarea>
</div>

<div class="footer_action">
<div class="container">
<div id="page_action" class="page_action offset2">
<input type="button" id="back_link" class="btn" value="キャンセル" onclick="location.href='../Main/index?path=<?php h::p($form->page_path) ?>';return false;">
<input type="submit" class="btn btn-primary" value="登録">
</div>
</div>
</div>

<input type="hidden" id="_id" name="_id" value="<?php h::p($form->_id) ?>">
<input type="hidden" id="_form_id" name="_form_id" value="<?php h::p($_form_id) ?>">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>

</body>
</html>